Package htsjdk.samtools.cram.build

# Class Utils

java.lang.Object
htsjdk.samtools.cram.build.Utils

public final class Utils extends Object

## Method Summary

Modifier and Type
Method
Description
`static byte`
`normalizeBase(byte base)`
CRAM operates with upper case bases, so both read and ref bases should be upper-cased and vocab controlled.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### normalizeBase

public static byte normalizeBase(byte base)
CRAM operates with upper case bases, so both read and ref bases should be upper-cased and vocab controlled. This method does exactly this: upper case acgt and replace everything else with N.

Parameters:
  `base` - a base to normalize
Returns:
  a normalized base